summaryrefslogtreecommitdiff
path: root/tests.build/build-system.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.build/build-system.script')
-rwxr-xr-xtests.build/build-system.script35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests.build/build-system.script b/tests.build/build-system.script
new file mode 100755
index 00000000..d3e338cf
--- /dev/null
+++ b/tests.build/build-system.script
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# Copyright (C) 2011-2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+## Test building a simple system.
+
+set -eu
+
+"$SRCDIR/scripts/test-morph" build-morphology \
+ test:morphs-repo master hello-system
+
+cd "$DATADIR"
+"$SRCDIR/scripts/test-morph" init workspace
+cd "$DATADIR/workspace"
+"$SRCDIR/scripts/test-morph" checkout test:morphs-repo master
+cd "$DATADIR/workspace/master/test/morphs-repo"
+
+ref=`"$SRCDIR/scripts/test-morph" query-cache hello-system.morph`
+ostree --repo="$DATADIR/cache/artifacts/repo" checkout --fsync=false \
+ "$ref" "$DATADIR/$ref"
+find $DATADIR/$ref/* | sed "s:^$DATADIR/$ref/::" | LC_ALL=C sort |
+sed '/^\.\/./s:^\./::' | grep -v '^baserock'